
#include <Ice/communicator.h>
#include <Ice/objectadapter.h>
#include "StatsServerI.h"
#include "MyStats.h"

bool StatsServerI::getFile(const string& filename, const Ice::Current & cur)
{
	Ice::ObjectAdapterPtr adapter = cur.adapter;
	Ice::CommunicatorPtr communicatorptr = adapter->getCommunicator();

	//Assume reading a file cost ten times, so reading 10 percent each.
	//I want to send messages like 10% 20% etc. to the client side.
	//But this does not meet my requirement. 
	for(int i=0; i<10; i++)
	{		
		communicatorptr->getStats()->bytesSent(filename+" server ", 10*(i+1));		
		Sleep(1000);
	}
	return true;
}